Index: branches/src/ProcessManagement/ProcessManagement/Forms/Master/Suppliers/FrmSuppliers.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/Master/Suppliers/FrmSuppliers.cs	(revision 82)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/Master/Suppliers/FrmSuppliers.cs	(revision 83)
@@ -673,39 +673,46 @@
         /// </summary>
         private void ClearDisplay()
         {
-            foreach (Control wrk in m_dispControl)
+            try
             {
-                if (CommonMotions.chkObjectIsNull(wrk)) continue;
-                if (wrk.GetType().Equals(typeof(RadioButton))) continue;
-                if (wrk.GetType().Equals(typeof(Button))) continue;
-                wrk.Text = "";
-                // 閲覧時は入力できない
-                if (m_bBrowseFlg)
+                foreach (Control wrk in m_dispControl)
                 {
-                    if (wrk.GetType().Equals(typeof(TextBox)))
+                    if (CommonMotions.chkObjectIsNull(wrk)) continue;
+                    if (wrk.GetType().Equals(typeof(RadioButton))) continue;
+                    if (wrk.GetType().Equals(typeof(Button))) continue;
+                    wrk.Text = "";
+                    // 閲覧時は入力できない
+                    if (m_bBrowseFlg)
                     {
-                        ((TextBox)wrk).ReadOnly = true;
-                        continue;
+                        if (wrk.GetType().Equals(typeof(TextBox)))
+                        {
+                            ((TextBox)wrk).ReadOnly = true;
+                            continue;
+                        }
+                        if (wrk.GetType().Equals(typeof(ComboBox)))
+                        {
+                            ((ComboBox)wrk).Enabled = true;
+                        }
                     }
-                    if (wrk.GetType().Equals(typeof(ComboBox)))
-                    {
-                        ((ComboBox)wrk).Enabled = true;
-                    }
                 }
+
+                // 新規時は仕入先コードを表示しない
+                if (m_SuppliersCode == 0)
+                {
+                    lblSuppliersCode.Visible = false;
+                    lblSuppliersCodelabel.Visible = false;
+                }
+                else
+                {
+                    lblSuppliersCode.Visible = true;
+                    lblSuppliersCodelabel.Visible = true;
+                }
+                m_bChengeAns = false;
             }
-            
-            // 新規時は仕入先コードを表示しない
-            if (m_SuppliersCode == 0)
+            catch (System.Exception ex)
             {
-                lblSuppliersCode.Visible = false;
-                lblSuppliersCodelabel.Visible = false;
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
-            else
-            {
-                lblSuppliersCode.Visible = true;
-                lblSuppliersCodelabel.Visible = true;
-            }
-            m_bChengeAns = false;
         }
         #endregion
 
Index: branches/src/ProcessManagement/ProcessManagement/Forms/Master/System/FrmSystem.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/Master/System/FrmSystem.cs	(revision 82)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/Master/System/FrmSystem.cs	(revision 83)
@@ -107,7 +107,7 @@
         /// <summary>
         /// 表示コントロール配列
         /// </summary>
-        private Control[] m_dispControl = new Control[23];
+        private Control[] m_dispControl;
         /// <summary>
         /// 終了ボタン押下フラグ
         /// </summary>
@@ -566,6 +566,9 @@
         /// </summary>
         private void SetDisplayObject()
         {
+            int DspCtrlCnt = Enum.GetNames(typeof(Dispcount)).Length;
+            m_dispControl = new Control[DspCtrlCnt];
+
             m_dispControl[(int)Dispcount.SystemCode] = lblSystemCode;
             m_dispControl[(int)Dispcount.CompanyName1] = txtInput1;
             m_dispControl[(int)Dispcount.CompanyName2] = txtInput2;
@@ -665,14 +668,21 @@
         /// </summary>
         private void ClearDisplay()
         {
-            foreach (Control wrk in m_dispControl)
+            try
             {
-                if (CommonMotions.chkObjectIsNull(wrk)) continue;
-                if (wrk.GetType().Equals(typeof(RadioButton))) continue;
-                wrk.Text = "";
+                foreach (Control wrk in m_dispControl)
+                {
+                    if (CommonMotions.chkObjectIsNull(wrk)) continue;
+                    if (wrk.GetType().Equals(typeof(RadioButton))) continue;
+                    wrk.Text = "";
+                }
+
+                m_bChengeAns = false;
             }
-
-            m_bChengeAns = false;
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
         }
         #endregion
 
Index: branches/src/ProcessManagement/ProcessManagement/Forms/Master/Term/FrmTerm.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/Master/Term/FrmTerm.cs	(revision 82)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/Master/Term/FrmTerm.cs	(revision 83)
@@ -825,22 +825,29 @@
         /// </summary>
         private void ClearDisplay()
         {
-            foreach (Control wrk in m_dispControl)
+            try
             {
-                if (CommonMotions.chkObjectIsNull(wrk)) continue;
-                if (wrk.GetType().Equals(typeof(Button))) continue;
-                if (wrk.GetType().Equals(typeof(RadioButton))) continue;
+                foreach (Control wrk in m_dispControl)
+                {
+                    if (CommonMotions.chkObjectIsNull(wrk)) continue;
+                    if (wrk.GetType().Equals(typeof(Button))) continue;
+                    if (wrk.GetType().Equals(typeof(RadioButton))) continue;
 
-                wrk.Text = "";
-            }
-            rdB101.Checked = true;
-            m_dispControl[(int)DispCtrl.ErrorColor].BackColor = Color.White;
-            m_dispControl[(int)DispCtrl.ErrorColor].ForeColor = Color.Black;
+                    wrk.Text = "";
+                }
+                rdB101.Checked = true;
+                m_dispControl[(int)DispCtrl.ErrorColor].BackColor = Color.White;
+                m_dispControl[(int)DispCtrl.ErrorColor].ForeColor = Color.Black;
 
-            cmbStatus.SelectedIndex = -1;
-            cmbItemNo.SelectedIndex = -1;
+                cmbStatus.SelectedIndex = -1;
+                cmbItemNo.SelectedIndex = -1;
 
-            m_bChengeAns = false;
+                m_bChengeAns = false;
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
         }
         #endregion
         
Index: branches/src/ProcessManagement/ProcessManagement/Forms/Master/Vehicle/FrmVehicle.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/Master/Vehicle/FrmVehicle.cs	(revision 82)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/Master/Vehicle/FrmVehicle.cs	(revision 83)
@@ -813,36 +813,43 @@
         /// </summary>
         private void ClearDisplay()
         {
-            foreach (Control wrk in m_dispControl)
+            try
             {
-                if (CommonMotions.chkObjectIsNull(wrk)) continue;
-                if (wrk.GetType().Equals(typeof(DataGridView))) continue;
-                wrk.Text = "";
-            }
+                foreach (Control wrk in m_dispControl)
+                {
+                    if (CommonMotions.chkObjectIsNull(wrk)) continue;
+                    if (wrk.GetType().Equals(typeof(DataGridView))) continue;
+                    wrk.Text = "";
+                }
 
-            // 新規時はコードを表示しない
-            if (m_VehicleCode == 0)
-            {
-                lblStaticVehicleCode.Visible = false;
-                lblVehicleCode.Visible = false;
-            }
-            else
-            {
-                lblStaticVehicleCode.Visible = true;
-                lblVehicleCode.Visible = true;
-            }
+                // 新規時はコードを表示しない
+                if (m_VehicleCode == 0)
+                {
+                    lblStaticVehicleCode.Visible = false;
+                    lblVehicleCode.Visible = false;
+                }
+                else
+                {
+                    lblStaticVehicleCode.Visible = true;
+                    lblVehicleCode.Visible = true;
+                }
 
-            cmbVehicleAdministrator.SelectedIndex = -1;
-            cmbVehicleScheduleDsp.SelectedIndex = -1;
+                cmbVehicleAdministrator.SelectedIndex = -1;
+                cmbVehicleScheduleDsp.SelectedIndex = -1;
 
 
-            dgvVehicleInspection.Rows.Clear();
-            dgvVoluntaryInsurance.Rows.Clear();
-            dgvPeriodicInspection.Rows.Clear();
-            dgvTireExchange.Rows.Clear();
-            dgvWinterTireExchange.Rows.Clear();
+                dgvVehicleInspection.Rows.Clear();
+                dgvVoluntaryInsurance.Rows.Clear();
+                dgvPeriodicInspection.Rows.Clear();
+                dgvTireExchange.Rows.Clear();
+                dgvWinterTireExchange.Rows.Clear();
 
-            m_bChengeAns = false;
+                m_bChengeAns = false;
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
         }
         #endregion
 
Index: branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmInputComment.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmInputComment.cs	(nonexistent)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmInputComment.cs	(revision 83)
@@ -0,0 +1,244 @@
+using System;
+using System.Collections.Generic;
+using System.ComponentModel;
+using System.Data;
+using System.Drawing;
+using System.Text;
+using System.Windows.Forms;
+
+using log4net;
+using log4net.Appender;
+using log4net.Repository.Hierarchy;
+
+using ProcessManagement.Common;
+using ProcessManagement.DB.IOAccess;
+using ProcessManagement.DataModel;
+using ProcessManagement.DB.Core;
+using ProcessManagement.Forms.SubForms;
+using ProcessManagement.Forms.CustomControls;
+using ProcessManagement.Forms.ControlsAction;
+//*------------------------ 掲示板入力画面 ------------------------------------*
+//  2015/07/14  Ver1.0.0.0      Create Source           
+//
+//
+//
+//*----------------------------------------------------------------------------*
+namespace ProcessManagement.Forms.SubForms
+{
+    public partial class FrmInputComment : Form
+    {
+        #region 使用定義
+        //log4netログを使用する
+        private static readonly log4net.ILog logger = log4net.LogManager.GetLogger(System.Reflection.MethodBase.GetCurrentMethod().DeclaringType);
+        #endregion
+
+        #region 定数
+        #endregion
+
+        #region 変数
+        /// <summary>
+        /// フィールド値変化フラグ
+        /// </summary>
+        private bool m_bChengeAns = false;
+
+        /// <summary>
+        /// コメント
+        /// </summary>
+        private string m_CommentString = string.Empty;
+
+        /// <summary>
+        /// 終了ボタン押下フラグ
+        /// </summary>
+        private DialogResult m_EndButton = DialogResult.None;
+        
+        #endregion
+
+        #region プロパティ
+        #region 終了ボタン押下フラグ
+        /// <summary>
+        /// 終了ボタン押下フラグ
+        /// </summary>
+        public DialogResult EndButton
+        {
+            get { return m_EndButton; }
+            set { m_EndButton = value; }
+        }
+        #endregion
+
+        #region コメント
+        /// <summary>
+        /// コメント
+        /// </summary>
+        public string CommentString
+        {
+            get { return m_CommentString; }
+            set { m_CommentString = value; }
+        }
+        #endregion
+        #endregion
+
+        #region コンストラクタ
+        public FrmInputComment()
+        {
+            InitializeComponent();
+        }
+        #endregion
+        #region デストラクタ
+        ~FrmInputComment()
+        {
+            try
+            {
+                GC.Collect();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region フォームロード
+        /// <summary>
+        /// フォームロード
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void FrmCommentWriter_Load(object sender, EventArgs e)
+        {
+            this.txtMessage.Text = string.Empty;
+            this.txtMessage.Focus();
+        }
+        #endregion
+
+        #region フィールド値変更フラグ
+        /// <summary>
+        /// フィールド値変更フラグ
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void valueChange(object sender, EventArgs e)
+        {
+            m_bChengeAns = true;
+        }
+        #endregion
+
+        #region Formキーダウン処理
+        /// <summary>
+        /// Formキーダウン処理
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void FrmCommentWriter_KeyDown(object sender, KeyEventArgs e)
+        {
+            //Enterキーが押されているか確認
+            if (e.KeyCode == Keys.Enter)
+            {
+                //あたかもTabキーが押されたかのようにする。
+                // Shiftが押されている時は前のコントロールへフォーカスを移動
+                this.ProcessTabKey(!e.Shift);
+
+                e.Handled = true;
+                //.NET Framework 2.0以降
+                e.SuppressKeyPress = true;
+            }
+        }
+        #endregion
+
+        #region ×ボタン押下処理
+        /// <summary>
+        /// ×ボタン押下処理
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void FrmCommentWriter_FormClosing(object sender, FormClosingEventArgs e)
+        {
+            if (m_bChengeAns)
+            {
+                if (MessageBox.Show("データに変更があります、そのまま終了してよろしいですか？。", "終了確認"
+                                , MessageBoxButtons.YesNo, MessageBoxIcon.Warning) == DialogResult.No)
+                {
+                    e.Cancel = true;
+                    return;
+                }
+                if (m_EndButton == DialogResult.None) m_EndButton = DialogResult.No;
+            }
+            // 前プロセスに戻る
+            ClsExcute.BackProcess();
+        }
+        #endregion
+
+        #region 終了ボタン押下
+        /// <summary>
+        /// 終了ボタン押下
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnEnd_Click(object sender, EventArgs e)
+        {
+            m_EndButton = DialogResult.No;
+            this.Close();
+        }
+        #endregion
+
+        #region 登録ボタン押下
+        /// <summary>
+        /// 登録ボタン押下
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnDataEntry_Click(object sender, EventArgs e)
+        {
+            try
+            {
+                if (!DispFeildCheck()) return;
+
+                m_CommentString = txtMessage.Text;
+
+                this.Close();
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 画面項目のチェック
+        /// <summary>
+        /// 画面項目のチェック
+        /// </summary>
+        /// <returns></returns>
+        private bool DispFeildCheck()
+        {
+            bool bRet = true;
+            try
+            {
+                // 背景色変更
+                CommonMotions.chgBackColor(txtMessage, bRet);
+                if (txtMessage.Text.Length == 0)
+                {
+                    bRet = false;
+                    CommonMotions.chgBackColor(txtMessage, bRet);
+                    MessageBox.Show("入力されていません、確認してください。", "データ確認"
+                                                , MessageBoxButtons.OK, MessageBoxIcon.Warning);
+                    return bRet;
+                }
+
+                if (!(bRet = CommonMotions.DispFieldLengthCheck(txtMessage, 300)))
+                {
+                    CommonMotions.chgBackColor(txtMessage, bRet);
+                    MessageBox.Show("入力文字が長すぎです、確認してください。", "データ確認"
+                                                , MessageBoxButtons.OK, MessageBoxIcon.Warning);
+                }
+
+                return bRet;
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+        }
+        #endregion
+    }
+}
\ No newline at end of file
Index: branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmInputComment.designer.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmInputComment.designer.cs	(nonexistent)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmInputComment.designer.cs	(revision 83)
@@ -0,0 +1,103 @@
+﻿using ProcessManagement.Forms.CustomControls;
+
+namespace ProcessManagement.Forms.SubForms
+{
+    partial class FrmInputComment
+    {
+        /// <summary>
+        /// 必要なデザイナ変数です。
+        /// </summary>
+        private System.ComponentModel.IContainer components = null;
+
+        /// <summary>
+        /// 使用中のリソースをすべてクリーンアップします。
+        /// </summary>
+        /// <param name="disposing">マネージ リソースが破棄される場合 true、破棄されない場合は false です。</param>
+        protected override void Dispose(bool disposing)
+        {
+            if (disposing && (components != null))
+            {
+                components.Dispose();
+            }
+            base.Dispose(disposing);
+        }
+
+        #region Windows フォーム デザイナで生成されたコード
+
+        /// <summary>
+        /// デザイナ サポートに必要なメソッドです。このメソッドの内容を
+        /// コード エディタで変更しないでください。
+        /// </summary>
+        private void InitializeComponent()
+        {
+            this.btnDataEntry = new System.Windows.Forms.Button();
+            this.btnEnd = new System.Windows.Forms.Button();
+            this.txtMessage = new System.Windows.Forms.TextBox();
+            this.SuspendLayout();
+            // 
+            // btnDataEntry
+            // 
+            this.btnDataEntry.BackColor = System.Drawing.Color.Green;
+            this.btnDataEntry.ForeColor = System.Drawing.Color.White;
+            this.btnDataEntry.Location = new System.Drawing.Point(539, 114);
+            this.btnDataEntry.Name = "btnDataEntry";
+            this.btnDataEntry.Size = new System.Drawing.Size(120, 30);
+            this.btnDataEntry.TabIndex = 1;
+            this.btnDataEntry.Text = "実　行";
+            this.btnDataEntry.UseVisualStyleBackColor = false;
+            this.btnDataEntry.Click += new System.EventHandler(this.btnDataEntry_Click);
+            // 
+            // btnEnd
+            // 
+            this.btnEnd.BackColor = System.Drawing.Color.Blue;
+            this.btnEnd.ForeColor = System.Drawing.Color.White;
+            this.btnEnd.Location = new System.Drawing.Point(665, 114);
+            this.btnEnd.Name = "btnEnd";
+            this.btnEnd.Size = new System.Drawing.Size(120, 30);
+            this.btnEnd.TabIndex = 2;
+            this.btnEnd.Text = "終　了";
+            this.btnEnd.UseVisualStyleBackColor = false;
+            this.btnEnd.Click += new System.EventHandler(this.btnEnd_Click);
+            // 
+            // txtMessage
+            // 
+            this.txtMessage.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.txtMessage.ImeMode = System.Windows.Forms.ImeMode.On;
+            this.txtMessage.Location = new System.Drawing.Point(5, 6);
+            this.txtMessage.Multiline = true;
+            this.txtMessage.Name = "txtMessage";
+            this.txtMessage.Size = new System.Drawing.Size(780, 105);
+            this.txtMessage.TabIndex = 0;
+            // 
+            // FrmInputComment
+            // 
+            this.AutoScaleDimensions = new System.Drawing.SizeF(96F, 96F);
+            this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Dpi;
+            this.BackColor = System.Drawing.Color.Black;
+            this.ClientSize = new System.Drawing.Size(790, 147);
+            this.Controls.Add(this.txtMessage);
+            this.Controls.Add(this.btnDataEntry);
+            this.Controls.Add(this.btnEnd);
+            this.Font = new System.Drawing.Font("ＭＳ 明朝", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.Fixed3D;
+            this.KeyPreview = true;
+            this.MaximizeBox = false;
+            this.MinimizeBox = false;
+            this.Name = "FrmInputComment";
+            this.ShowIcon = false;
+            this.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen;
+            this.FormClosing += new System.Windows.Forms.FormClosingEventHandler(this.FrmCommentWriter_FormClosing);
+            this.Load += new System.EventHandler(this.FrmCommentWriter_Load);
+            this.KeyDown += new System.Windows.Forms.KeyEventHandler(this.FrmCommentWriter_KeyDown);
+            this.ResumeLayout(false);
+            this.PerformLayout();
+
+        }
+
+        #endregion
+
+        private System.Windows.Forms.Button btnDataEntry;
+        private System.Windows.Forms.Button btnEnd;
+        private System.Windows.Forms.TextBox txtMessage;
+    }
+}
\ No newline at end of file
